Subject: Re: [PATCH 2/2] net: axienet: Fix resource release ordering

From: Jakub Kicinski <[email-masked]>
Date: Sat, 10 Jan 2026 11:53:06 -0800

On Fri, 9 Jan 2026 12:40:51 +0530 Suraj Gupta wrote:
> Device-managed resources are released after manually-managed resources.
> Therefore, once any manually-managed resource is acquired, all further
> resources must be manually-managed too.

only for resources which have dependencies. Please include in the commit
message what exactly is going wrong in this driver. The commit under
Fixes seems to be running ioremap, I don't see how that matters vs
netdev allocation for example..

> Convert all resources before the MDIO bus is created into device-managed
> resources. In all cases but one there are already devm variants available.
-- 
pw-bot: cr